net.minecraft.util

## Class ChatComponentText

- java.lang.Object
- - net.minecraft.util.ChatComponentStyle
  - - net.minecraft.util.ChatComponentText

- All Implemented Interfaces:
    java.lang.Iterable, IChatComponent

      public class ChatComponentText
      extends ChatComponentStyle

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.minecraft.util.IChatComponent

      `IChatComponent.Serializer`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.util.ChatComponentStyle

      `siblings`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChatComponentText(java.lang.String p_i45159_1_)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ChatComponentText` | `createCopy()`
    `boolean` | `equals(java.lang.Object par1Obj)`
    `java.lang.String` | `getChatComponentText_TextValue()`
    `java.lang.String` | `getUnformattedTextForChat()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class net.minecraft.util.ChatComponentStyle

      `appendSibling, appendText, createDeepCopyIterator, getChatStyle, getFormattedText, getSiblings, getUnformattedText, hashCode, iterator, setChatStyle`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChatComponentText

          public ChatComponentText(java.lang.String p_i45159_1_)

  - ### Method Detail

    - #### getChatComponentText_TextValue

          public java.lang.String getChatComponentText_TextValue()

    - #### getUnformattedTextForChat

          public java.lang.String getUnformattedTextForChat()

    - #### createCopy

          public ChatComponentText createCopy()

    - #### equals

          public boolean equals(java.lang.Object par1Obj)

      Overrides:
        `equals` in class `ChatComponentStyle`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ChatComponentStyle`